Subject: Re: [BEHAVE] Comments on draft-ietf-behave-turn-04

From: Rémi Denis-Courmont <[email-masked]>
Date: Mon, 3 Sep 2007 09:18:01 +0300

Le Saturday 01 September 2007 01:38:53 ext Brian Hibbard, vous avez écrit :
> TCP
> ------
(...)
> If the intent is that simultaneous open is the sole means by which
> allocations can connect to each other, I have a difficult time
> believing this is feasible.
(...)

The real problem is, will TCP-SO fly at all in the real Internet. My personal 
bet is, the success rate will be way too low, so that ICE-TCP and friends 
will be of limited practical usability.

(...)
> Therefore, I would be greatly relieved if multiple TCP connections on
> a single allocation were not supported.

I strongly agree.

> Set Active Destination
> ----------------------------------
> For UDP, it would be reasonable to suggest that the client start
> using Send indications shortly before (perhaps as long as one
> second?) sending a Set Active Destination request to clear the
> current active destination.  This would help the case that some of
> the packets sent prior to the SAD are processed by the server after
> the SAD is processed, due to packet ordering.

IMHO, a sane TURN client would only stop using "explicit" Send Indications 
once and only once it has received a successful SAD Response from the server. 
There is no need to specify an arbitrary latency delay here.

-- 
Rémi Denis-Courmont

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave